Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

After I recompile Apache for the newer version of php. Everything goes fine, but I get the following php errors: Warning: main() [function.main]: It is not safe to rely on the system's timezone settings. You are required to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'America/Chicago' for 'CDT/-5.0/DST'.

And PDO Class not found.

In the php.ini file the following are included. extension=pdo.so extension=pdo_sqlite.so extension=sqlite.so extension=pdo_mysql.so extension=uploadprogress.so

Any Ideas.

share|improve this question

1 Answer 1

add the line

date.timezone = America/Chicago

to your php file (/usr/local/lib/php.ini) regarding the PDO issue if you installed via PECL then you should reinstall the plugins to make them work correctly, also you may need to recompile apache and php and enable pdo in the easyapache update - http://forums.cpanel.net/f34/fatal-error-class-pdo-not-found-116629.html

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.